## Name

gfperf-parallel-replica — Gfarm measure file replicate performance

## Synopsis

`gfperf-parallel-replica` -s, --src `source gfsd name` -s, --dst `destination gfsd name` [-l, --filesize `file size`] [-t, --testdir `test directory`] [-n, --name `group name`] [-w, --wait `start time`]

## DESCRIPTION

This command creates test file in `test directory` and measures replication performance.

This command is expected to be called by gfperf.rb in parallel.

## OPTIONS

`-s, --src` `source gfsd name`

  Specify source gfsd name.

`-d, --dst` `destination gfsd name`

  Specify destination gfsd name.

`-l, --filesize` `file size`

  File size to be created. The default is 1M. (1M=2^20)

`-t, --testdir` `test directory`

  Test file is created in `test directory`. Specify only gfarm url (that begins with gfarm:///) . The default is gfarm:///tmp .

`-n, --name` `group name`

  Group name in parallel execution.

`-w, --wait` `start time`

  Start time specified by gfperf.rb. This command waits until start time. Start time is written in UTC (YYYY-MM-DDThh:mm:ssZ) and must be in 10 seconds from current time.